Debian Bug report logs - #563963
/usr/bin/ann_test: error: `/usr/bin/.libs/ann_test' does not exist

version graph

Package: ann-tools; Maintainer for ann-tools is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for ann-tools is src:ann.

Reported by: Fabrice Coutadeur <fabricesp@ubuntu.com>

Date: Wed, 6 Jan 2010 17:42:01 UTC

Severity: grave

Tags: patch

Found in version ann/1.1.1+doc-2.1

Fixed in version ann/1.1.1+doc-2.2

Done: Evgeni Golov <evgeni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, coutadeurf@gmail.com, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Wed, 06 Jan 2010 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Coutadeur <fabricesp@ubuntu.com>:
New Bug report received and forwarded. Copy sent to coutadeurf@gmail.com, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Wed, 06 Jan 2010 17:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Fabrice Coutadeur <fabricesp@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/bin/ann_test: error: `/usr/bin/.libs/ann_test' does not exist
Date: Wed, 06 Jan 2010 18:40:37 +0100
Package: ann-tools
Version: 1.1.1+doc-2.1
Severity: grave
Justification: renders package unusable

Hi,

After installing ann-tools, I'm trying to run the embedded scripts, and I'm
 getting those messages:
/usr/bin/ann_test: error: `/usr/bin/.libs/ann_test' does not exist
This script is just a wrapper for ann_test.
See the libtool documentation for more information.

/usr/bin/ann2fig: error: `/usr/bin/.libs/ann2fig' does not exist
This script is just a wrapper for ann2fig.
See the libtool documentation for more information.
 
/usr/bin/ann_sample: error: `/usr/bin/.libs/ann_sample' does not exist
This script is just a wrapper for ann_sample.
See the libtool documentation for more information.

It seems that the wrong binaries are installed, and you should install the ones
in .libs. 

Thanks,
Fabrice
-- System Information:
Debian Release: squeeze/sid
  APT prefers karmic-updates
  APT policy: (500, 'karmic-updates'), (500, 'karmic-security'), (500, 'karmic')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-16-generic (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 18:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Sat, 23 Jan 2010 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Sat, 23 Jan 2010 18:57:07 GMT) Full text and rfc822 format available.

Message #12 received at 563963@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 563963@bugs.debian.org
Subject: ann: diff for NMU version 1.1.1+doc-2.2
Date: Sat, 23 Jan 2010 19:48:31 +0100
[Message part 1 (text/plain, inline)]
tags 563963 + patch
thanks

Dear maintainer,

Attached you find a patch for this bug. It's kinda hacky, but works as expected.
I'd upload it ASAP if you don't object.

Regards.
Evgeni
[ann-1.1.1+doc-2.2-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Sun, 24 Jan 2010 17:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Christophe Prud'homme" <prudhomm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Sun, 24 Jan 2010 17:48:06 GMT) Full text and rfc822 format available.

Message #17 received at 563963@bugs.debian.org (full text, mbox):

From: "Christophe Prud'homme" <prudhomm@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 563963@bugs.debian.org
Subject: Re: [Pkg-scicomp-devel] Bug#563963: ann: diff for NMU version 1.1.1+doc-2.2
Date: Sun, 24 Jan 2010 18:47:34 +0100
ok thanks for uploading it

On Sat, Jan 23, 2010 at 7:48 PM, Evgeni Golov <evgeni@debian.org> wrote:
> tags 563963 + patch
> thanks
>
> Dear maintainer,
>
> Attached you find a patch for this bug. It's kinda hacky, but works as expected.
> I'd upload it ASAP if you don't object.
>
> Regards.
> Evgeni
>
> _______________________________________________
> Pkg-scicomp-devel mailing list
> Pkg-scicomp-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-scicomp-devel
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Sun, 24 Jan 2010 19:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Sun, 24 Jan 2010 19:09:02 GMT) Full text and rfc822 format available.

Message #22 received at 563963@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Christophe Prud'homme <prudhomm@debian.org>
Cc: 563963@bugs.debian.org
Subject: Re: [Pkg-scicomp-devel] Bug#563963: ann: diff for NMU version 1.1.1+doc-2.2
Date: Sun, 24 Jan 2010 20:07:21 +0100
Hi,

On Sun, Jan 24, 2010 at 06:47:34PM +0100, Christophe Prud'homme wrote:
> ok thanks for uploading it

I did not yet upload anything. Should I do the upload? (I guess so from 
your mail...)

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Wed, 10 Feb 2010 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Wed, 10 Feb 2010 10:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 563963@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 563963@bugs.debian.org
Subject: ann: diff for NMU version 1.1.1+doc-2.2
Date: Wed, 10 Feb 2010 11:30:25 +0100
[Message part 1 (text/plain, inline)]
tags 563963 + pending
thanks

Dear maintainer,

I've prepared an NMU for ann (versioned as 1.1.1+doc-2.2) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.
[ann-1.1.1+doc-2.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 10:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>:
Bug#563963; Package ann-tools. (Tue, 02 Mar 2010 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>. (Tue, 02 Mar 2010 00:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 563963@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 563963@bugs.debian.org
Subject: Re: Bug#563963: ann: diff for NMU version 1.1.1+doc-2.2
Date: Mon, 1 Mar 2010 23:57:10 +0000
The -2.2 NMU doesn't seem to be in DELAYED, but in any case the given patch
does indeed looks very hackish, and shouldn't be necessary if libtool is
working correctly.

It seems to be possible to fix it without rummaging in .libs, by removing
AC_DISABLE_FAST_INSTALL from (the patch that adds) configure.ac.

Regards,
    Simon




Reply sent to Evgeni Golov <evgeni@debian.org>:
You have taken responsibility. (Sat, 13 Mar 2010 23:33:05 GMT) Full text and rfc822 format available.

Notification sent to Fabrice Coutadeur <fabricesp@ubuntu.com>:
Bug acknowledged by developer. (Sat, 13 Mar 2010 23:33:05 GMT) Full text and rfc822 format available.

Message #39 received at 563963-close@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 563963-close@bugs.debian.org
Subject: Bug#563963: fixed in ann 1.1.1+doc-2.2
Date: Sat, 13 Mar 2010 23:32:10 +0000
Source: ann
Source-Version: 1.1.1+doc-2.2

We believe that the bug you reported is fixed in the latest version of
ann, which is due to be installed in the Debian FTP archive:

ann-tools_1.1.1+doc-2.2_amd64.deb
  to main/a/ann/ann-tools_1.1.1+doc-2.2_amd64.deb
ann_1.1.1+doc-2.2.diff.gz
  to main/a/ann/ann_1.1.1+doc-2.2.diff.gz
ann_1.1.1+doc-2.2.dsc
  to main/a/ann/ann_1.1.1+doc-2.2.dsc
libann-dev_1.1.1+doc-2.2_amd64.deb
  to main/a/ann/libann-dev_1.1.1+doc-2.2_amd64.deb
libann0_1.1.1+doc-2.2_amd64.deb
  to main/a/ann/libann0_1.1.1+doc-2.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 563963@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Evgeni Golov <evgeni@debian.org> (supplier of updated ann package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 00:02:39 +0100
Source: ann
Binary: libann-dev libann0 ann-tools
Architecture: source amd64
Version: 1.1.1+doc-2.2
Distribution: unstable
Urgency: low
Maintainer: Debian Scientific Computing Team <pkg-scicomp-devel@lists.alioth.debian.org>
Changed-By: Evgeni Golov <evgeni@debian.org>
Description: 
 ann-tools  - Approximate Nearest Neighbor Searching library (tools)
 libann-dev - Approximate Nearest Neighbor Searching library (development files
 libann0    - Approximate Nearest Neighbor Searching library
Closes: 563963
Changes: 
 ann (1.1.1+doc-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/autotools-files.diff:
     + Do not set AC_DISABLE_FAST_INSTALL, which enables the installation
       of the actual ann-tools in /usr/bin instead of libtool wrappers.
       Thanks to Simon McVittie <smcv@debian.org>.
       Closes: #563963.
Checksums-Sha1: 
 b7d082b1b39632db532d151124f785fe8471e678 1311 ann_1.1.1+doc-2.2.dsc
 9be2f8b41cee60e16c805c73c83343779c610a18 10604 ann_1.1.1+doc-2.2.diff.gz
 b7bbc8d9388688e14556eda2141447f15ccd3dbf 377230 libann-dev_1.1.1+doc-2.2_amd64.deb
 6e82188fd634bd8f393af136a0df28171db25de8 30378 libann0_1.1.1+doc-2.2_amd64.deb
 8c32c1f744bc65516d1af8b9911e33cdd28bb6c5 38866 ann-tools_1.1.1+doc-2.2_amd64.deb
Checksums-Sha256: 
 94b0f7123a65972804fc141950cee9c56a35ab2abc331caca28d477a93162428 1311 ann_1.1.1+doc-2.2.dsc
 0c73d9f0c73e77f225f2b596b764035b42ea923bdd2e261d4fccc8c54dd53e61 10604 ann_1.1.1+doc-2.2.diff.gz
 2a951ed1ad16f36bb5f2eddac45cacfc32f91786a255ca203590649372a75dcf 377230 libann-dev_1.1.1+doc-2.2_amd64.deb
 793032782ce48443f034d774acd6caa9f29bdf7555852d1b92295a8b61d64917 30378 libann0_1.1.1+doc-2.2_amd64.deb
 c8d3c7be6bd8c2cd4261abe236be201b2fbe6bda1ab35634b33bf250d66f2bb4 38866 ann-tools_1.1.1+doc-2.2_amd64.deb
Files: 
 8106cfbdc5ddf2edf42b575ef6e512fc 1311 libs optional ann_1.1.1+doc-2.2.dsc
 b652022224788cc0e6f72c6d8fbfe0e5 10604 libs optional ann_1.1.1+doc-2.2.diff.gz
 23c747dbc52be00b4905de1923e8fc93 377230 libdevel optional libann-dev_1.1.1+doc-2.2_amd64.deb
 8cf925041f55660651498bb421bd8bad 30378 libs optional libann0_1.1.1+doc-2.2_amd64.deb
 2c9a022016d93ac6d4d29adcb1562151 38866 math optional ann-tools_1.1.1+doc-2.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucHCsACgkQJKAUGKwVtQzKZwCdGeRyQVU9TXgVU9XbOoKbl7RN
HSAAoIrIXbDrhl8nG0BNZvJvn+BvWDx5
=7RKx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 21 Apr 2010 07:37:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:33:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.